<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___c_p_s__server" kind="group">
    <compoundname>group_ble_service_api_CPS_server</compoundname>
    <title>CPS Server Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___c_p_s__server_1ga1aeeaabcdcbe170f95f4f951f8d7db57" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_CPSS_SetCharacteristicValue</definition>
        <argsstring>(cy_en_ble_cps_char_index_t charIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_CPSS_SetCharacteristicValue</name>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ga7a53ac3dd6d3180f8cebd503ed91b089">cy_en_ble_cps_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Sets a characteristic value of Cycling Power service, which is a value identified by charIndex, to the local database. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic of type <ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ga7a53ac3dd6d3180f8cebd503ed91b089">cy_en_ble_cps_char_index_t</ref>. The valid values are,<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089a49b3c2a02e39b7fc6930a0143aaa7d63">CY_BLE_CPS_POWER_MEASURE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089aedbb7727fd83e42c26873514d293a119">CY_BLE_CPS_POWER_FEATURE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089afe3cfcbd8a04ebe4e7c49f7d4039a75e">CY_BLE_CPS_SENSOR_LOCATION</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089a119d5696cae7e0d94f1e8f7ae04cc9c7">CY_BLE_CPS_POWER_VECTOR</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089ae6287f6c8d52b57463301969d517b0d8">CY_BLE_CPS_POWER_CP</ref> </para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic value attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the characteristic value data that should be stored to the GATT database.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was handled successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE&lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;An optional characteristic is absent. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="339" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.c" bodystart="309" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="357" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___c_p_s__server_1gae084b83b3b06bf851a37ade9a897bcdb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_CPSS_GetCharacteristicValue</definition>
        <argsstring>(cy_en_ble_cps_char_index_t charIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_CPSS_GetCharacteristicValue</name>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ga7a53ac3dd6d3180f8cebd503ed91b089">cy_en_ble_cps_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Gets a characteristic value of Cycling Power service. </para>        </briefdescription>
        <detaileddescription>
<para>The value is identified by charIndex.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic of type <ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ga7a53ac3dd6d3180f8cebd503ed91b089">cy_en_ble_cps_char_index_t</ref>. The valid values are,<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089a49b3c2a02e39b7fc6930a0143aaa7d63">CY_BLE_CPS_POWER_MEASURE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089aedbb7727fd83e42c26873514d293a119">CY_BLE_CPS_POWER_FEATURE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089afe3cfcbd8a04ebe4e7c49f7d4039a75e">CY_BLE_CPS_SENSOR_LOCATION</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089a119d5696cae7e0d94f1e8f7ae04cc9c7">CY_BLE_CPS_POWER_VECTOR</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089ae6287f6c8d52b57463301969d517b0d8">CY_BLE_CPS_POWER_CP</ref> </para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic value attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the location where characteristic value data should be stored.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The characteristic value was read successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="398" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.c" bodystart="369" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="360" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___c_p_s__server_1ga118430b8d289bd13e230794aa8e951f1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_CPSS_SetCharacteristicDescriptor</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_cps_char_index_t charIndex, cy_en_ble_cps_descr_index_t descrIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_CPSS_SetCharacteristicDescriptor</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ga7a53ac3dd6d3180f8cebd503ed91b089">cy_en_ble_cps_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gaab70d41905b10cf76e0d71df3caede01">cy_en_ble_cps_descr_index_t</ref></type>
          <declname>descrIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Sets a characteristic descriptor of the specified characteristic of Cycling Power service. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic of type <ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ga7a53ac3dd6d3180f8cebd503ed91b089">cy_en_ble_cps_char_index_t</ref>. The valid values are,<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089a49b3c2a02e39b7fc6930a0143aaa7d63">CY_BLE_CPS_POWER_MEASURE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089aedbb7727fd83e42c26873514d293a119">CY_BLE_CPS_POWER_FEATURE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089afe3cfcbd8a04ebe4e7c49f7d4039a75e">CY_BLE_CPS_SENSOR_LOCATION</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089a119d5696cae7e0d94f1e8f7ae04cc9c7">CY_BLE_CPS_POWER_VECTOR</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089ae6287f6c8d52b57463301969d517b0d8">CY_BLE_CPS_POWER_CP</ref> </para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>descrIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic descriptor of type <ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gaab70d41905b10cf76e0d71df3caede01">cy_en_ble_cps_descr_index_t</ref>. The valid values are,<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ggaab70d41905b10cf76e0d71df3caede01ae0fb207eebb494f6d6d7e9fcf8285c23">CY_BLE_CPS_CCCD</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ggaab70d41905b10cf76e0d71df3caede01a5378d5de60e77e926702ad730dac480f">CY_BLE_CPS_SCCD</ref> </para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic descriptor attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the descriptor value data that should be stored to the GATT database.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The characteristic descriptor value was read successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="463" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.c" bodystart="433" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="363" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___c_p_s__server_1ga1c57f418921bd0ccb1bdf379bbe786aa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_CPSS_GetCharacteristicDescriptor</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_cps_char_index_t charIndex, cy_en_ble_cps_descr_index_t descrIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_CPSS_GetCharacteristicDescriptor</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ga7a53ac3dd6d3180f8cebd503ed91b089">cy_en_ble_cps_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gaab70d41905b10cf76e0d71df3caede01">cy_en_ble_cps_descr_index_t</ref></type>
          <declname>descrIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Gets a characteristic descriptor of the specified characteristic of Cycling Power service. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic of type <ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ga7a53ac3dd6d3180f8cebd503ed91b089">cy_en_ble_cps_char_index_t</ref>. The valid values are,<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089a49b3c2a02e39b7fc6930a0143aaa7d63">CY_BLE_CPS_POWER_MEASURE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089aedbb7727fd83e42c26873514d293a119">CY_BLE_CPS_POWER_FEATURE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089afe3cfcbd8a04ebe4e7c49f7d4039a75e">CY_BLE_CPS_SENSOR_LOCATION</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089a119d5696cae7e0d94f1e8f7ae04cc9c7">CY_BLE_CPS_POWER_VECTOR</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089ae6287f6c8d52b57463301969d517b0d8">CY_BLE_CPS_POWER_CP</ref> </para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>descrIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic descriptor of type <ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gaab70d41905b10cf76e0d71df3caede01">cy_en_ble_cps_descr_index_t</ref>. The valid values are,<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ggaab70d41905b10cf76e0d71df3caede01ae0fb207eebb494f6d6d7e9fcf8285c23">CY_BLE_CPS_CCCD</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ggaab70d41905b10cf76e0d71df3caede01a5378d5de60e77e926702ad730dac480f">CY_BLE_CPS_SCCD</ref> </para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic descriptor attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the location where characteristic descriptor value data should be stored.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The characteristic descriptor value was read successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="528" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.c" bodystart="498" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="368" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___c_p_s__server_1ga834377c32177322e085a80454de36810" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_CPSS_SendNotification</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_cps_char_index_t charIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_CPSS_SendNotification</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ga7a53ac3dd6d3180f8cebd503ed91b089">cy_en_ble_cps_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Sends notification with a characteristic value of the CPS, which is a value specified by charIndex, to the client device. </para>        </briefdescription>
        <detaileddescription>
<para>On enabling notification successfully for a service characteristic it sends out a 'Handle Value Notification' which results in <ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a1deddfb83e7c853d165f8ad1879d5d98">CY_BLE_EVT_CPSC_NOTIFICATION</ref> event at the GATT Client's end.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic of type <ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ga7a53ac3dd6d3180f8cebd503ed91b089">cy_en_ble_cps_char_index_t</ref>. The valid values are,<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089a49b3c2a02e39b7fc6930a0143aaa7d63">CY_BLE_CPS_POWER_MEASURE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089aedbb7727fd83e42c26873514d293a119">CY_BLE_CPS_POWER_FEATURE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089afe3cfcbd8a04ebe4e7c49f7d4039a75e">CY_BLE_CPS_SENSOR_LOCATION</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089a119d5696cae7e0d94f1e8f7ae04cc9c7">CY_BLE_CPS_POWER_VECTOR</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089ae6287f6c8d52b57463301969d517b0d8">CY_BLE_CPS_POWER_CP</ref> </para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic value attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the characteristic value data that should be sent to the client device. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was handled successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Operation is invalid for this characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;An optional characteristic is absent. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Connection with the client is not established. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NTF_DISABLED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Notification is not enabled by the client. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="809" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.c" bodystart="768" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="373" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___c_p_s__server_1ga3bc05b4d1617cb2ae8767ff7500a88e9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_CPSS_SendIndication</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_cps_char_index_t charIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_CPSS_SendIndication</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ga7a53ac3dd6d3180f8cebd503ed91b089">cy_en_ble_cps_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Sends indication with a characteristic value of the CPS, which is a value specified by charIndex, to the client device. </para>        </briefdescription>
        <detaileddescription>
<para>On enabling indication successfully it sends out a 'Handle Value Indication' which results in <ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51af58b7d0f98c467d0281fe40177bc162b">CY_BLE_EVT_CPSC_INDICATION</ref> or <ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a525831f0cb1083b8a894f34d1208f5f8">CY_BLE_EVT_GATTC_HANDLE_VALUE_IND</ref> (if service-specific callback function is not registered) event at the GATT Client's end.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic of type <ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ga7a53ac3dd6d3180f8cebd503ed91b089">cy_en_ble_cps_char_index_t</ref>. The valid values are,<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089a49b3c2a02e39b7fc6930a0143aaa7d63">CY_BLE_CPS_POWER_MEASURE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089aedbb7727fd83e42c26873514d293a119">CY_BLE_CPS_POWER_FEATURE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089afe3cfcbd8a04ebe4e7c49f7d4039a75e">CY_BLE_CPS_SENSOR_LOCATION</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089a119d5696cae7e0d94f1e8f7ae04cc9c7">CY_BLE_CPS_POWER_VECTOR</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089ae6287f6c8d52b57463301969d517b0d8">CY_BLE_CPS_POWER_CP</ref> </para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic value attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the characteristic value data that should be sent to the client device. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was handled successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Operation is invalid for this characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;An optional characteristic is absent. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Connection with the client is not established. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NTF_DISABLED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Notification is not enabled by the client. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Events</title><para>In case of successful execution (return value = <ref kindref="member" refid="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea26e476ee364252903ce212deeb6ec064">CY_BLE_SUCCESS</ref>) the following events can appear: <linebreak />
 If the CPS service-specific callback is registered with <ref kindref="member" refid="group__group__ble__service__api___c_p_s__server__client_1ga3bb034fe377f65e491205bc2aae1ee1d">Cy_BLE_CPS_RegisterAttrCallback()</ref>:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a14945b1bab9c16f8296e0f36c3e535ac">CY_BLE_EVT_CPSS_INDICATION_CONFIRMED</ref> - In case if the indication is successfully delivered to the peer device.</para></listitem></itemizedlist>
Otherwise, if the CPS service-specific callback is not registered:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a0a94f7259975f7b14ca57df068382085">CY_BLE_EVT_GATTS_HANDLE_VALUE_CNF</ref> - In case if the indication is successfully delivered to the peer device. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="906" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.c" bodystart="860" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="377" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___c_p_s__server_1ga1752bd353b59a587c99bda963ca23872" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_CPSS_StartBroadcast</definition>
        <argsstring>(uint16_t advInterval, uint8_t attrSize, const uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_CPSS_StartBroadcast</name>
        <param>
          <type>uint16_t</type>
          <declname>advInterval</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>const uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>This function is used to start broadcasting of the Cycling Power Measurement characteristic or update broadcasting data when it was started before. </para>        </briefdescription>
        <detaileddescription>
<para>It is available only in Broadcaster role.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>advInterval</parametername>
</parameternamelist>
<parameterdescription>
<para>Advertising interval in 625 us units. The valid range is from <ref kindref="member" refid="group__group__ble__common__api__macros_1ga0de4eaa3bf9c340de674e179f747ce3e">CY_BLE_GAP_ADV_ADVERT_INTERVAL_NONCON_MIN</ref> to <ref kindref="member" refid="group__group__ble__common__api__macros_1gad7c39325fdf3892054c6f6e985e3b7c8">CY_BLE_GAP_ADV_ADVERT_INTERVAL_MAX</ref>. This parameter is ignored when when broadcasting is already started. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic value attribute. This size is limited by maximum advertising packet length and advertising header size. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the Cycling Power Measurement characteristic that include the mandatory fields (e.g. the Flags field and the Instantaneous Power field and depending on the Flags field, some optional fields in a non connectable undirected advertising event.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref> : Return value indicates whether the function succeeded or failed. The following are possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On passing an invalid parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Operation is not permitted. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1112" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.c" bodystart="1066" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="381" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___c_p_s__server_1ga2c3afcc504f2106dcaaec0e48f483f05" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_CPSS_StopBroadcast</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_CPSS_StopBroadcast</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function is used to stop broadcasting of the Cycling Power Measurement characteristic. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref> : Return value indicates whether the function succeeded or failed. The following are possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On calling this function not in CPS broadcasting mode. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1152" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.c" bodystart="1134" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="382" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>API unique to CPS designs configured as a GATT Server role. </para>    </briefdescription>
    <detaileddescription>
<para>A letter 's' is appended to the API name: Cy_BLE_CPSS_ </para>    </detaileddescription>
  </compounddef>
</doxygen>